package com.tax.sign.service.api;

import com.tax.sign.model.IpModel;
import com.yxcheng.token.common.model.JsonResult;

import javax.servlet.http.HttpServletRequest;

public interface IpService {
    JsonResult<IpModel> saveIpV1(IpModel model, HttpServletRequest request);

    JsonResult<IpModel> saveIpV2(IpModel model, HttpServletRequest request);

    JsonResult<IpModel> getIpV1();

    JsonResult<IpModel> getIpV2();
}
